← Back to API Documentation
Changes to Search & Geographic Service
#### Changes
<br>
We are currently doing changes to our auxiliary services that you might use on your own websites. In particular the affected services are search.homeq.se and geo.homeq.se.
For both services you are not required to take any actions directly as we will simply change the DNS entries for both services to point to api.homeq.se in the future. Please continue to read below
to see if you are affected for a special use case in the geography area.
<br>
#### Changes to Search Service
The changes to the search service are a domain move form the search.homeq.se -> api.homeq.se. The path argument and all parameters will stay the same so there is nothing on your end that has to be done as we will simply change our DNS entry for search.homeq.se to point to the API. If you want to directly call the API to ensure you are using the latest version and all functionality you can find the documentation for the Search API [here](https://docs-core.homeq.se/#tag/Card-Search). Note that this API allows CORS access to all domains so you can integrate it directly into your application.
Potentially affected URLs:
- POST https://search.homeq.se/api/v2/search -> POST https://api.homeq.se/api/v2/search (via DNS)
- POST https://search.homeq.se/api/v3/search -> POST https://api.homeq.se/api/v3/search (via DNS)
- POST https://api.homeq.se/api/v3/cards (same as v3/search but only available on api.homeq.se)
#### Changes to Geography Service
The changes to the geography service are a domain move form the geo.homeq.se -> api.homeq.se. This potentially affects three APIs of which we will make 2 private as our monitoring indicates that it is not used by external parties. Please reach out if you find that you are using the URLs marked as private below. The remaining API allows you to show a static map image with the location of your apartment on your website. It will remain the same and keep working accordingly. We however highly recommend adding your company id as parameter to the GET request so we can easily reach out in case additional changes are required. You can find the specific API for the static map [here](https://docs-core.homeq.se/#tag/Geography/paths/~1api~1v3~1maps~1/get)
Potentially affected URLs:
- GET https://geo.homeq.se/api/v3/maps/ -> GET https://api.homeq.se/api/v3/maps/ (via DNS)
- GET https://api.homeq.se/api/v3/geo/maps/ (same as /v3/maps but only available on api.homeq.se)
- GET https://geo.homeq.se/api/v3/geo/search/ -> Made Private
- GET https://geo.homeq.se/api/v3/geo/shapes/ -> Made Private